<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.2
 *
 * Copyright (C) 2006-2015  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_time.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_cli.inc.php");
include_once("../inc/fic_dos.inc.php");
include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/fic_int.inc.php");
include_once("../inc/fic_loc.inc.php");
include_once("../inc/fic_ot.inc.php");
include_once("../inc/fic_plan.inc.php");
include_once("../inc/fic_rdv.inc.php");
include_once("../inc/fic_tec.inc.php");
include_once("../inc/lst.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
check_modules();

// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$pbm_plan = FALSE;
$pbm_pr = FALSE;

$typd = -1;
$coded = '';
$typr = -1;
$coder = '';

$typ = '';
$td = '';
$tx = '';
$from ='';
$mess_err = '';

$idevt = 0;
$idrdv = 0;
$idadd = '';

$tab_tec = [];
if (isset($_SESSION['tab_tec_sel']))
    $tab_tec = $_SESSION['tab_tec_sel'];

$lst_tecaff = TRUE; // Affiche (ou pas) d'une liste de choix des techniciens affectés
$retour_planning = TRUE; // Retour au planning
$retour_liste = FALSE; // Retour à la liste des techniciens affectés
$mod_dest = TRUE; // Possibilité de modifier le type et le code du destinataire
$mod_rat = TRUE; // Possibilité de modifier le type et le code de rattachement

// Récupération des paramètres de SMI
$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
$rech = "SELECT * FROM `" . TBPPRM . "`";
$row = $db->get_row($rech, ARRAY_A);
if ($row)
    extract($row);
$db->disconnect();

// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

// Récupération type édition (ajout ou édition)
if (isset($_GET['td'])) {
    $td = strtolower($_GET['td']);
    if (($td <> "edit") AND ($td <> "add") AND ($td <> "lst"))
        $pbm_plan = TRUE;
} else
    $pbm_plan = TRUE;

// Récupération première origine appel
if (isset($_GET['from'])) {
    $from = strtolower($_GET['from']);
} else {
    if (isset($_POST['from']))
        $from = strtolower($_POST['from']);
    else
        $pbm_plan = TRUE;
}

switch ($from) {
    case "age" :
    case "agel" :
    case "clil" :
    case "tec" :
    case "tecl" :
    case "mnu" :
    case "rdv":
    case "int":
        break;
    default :
        $pbm_plan = TRUE;
        break;
}

// Récupération origine appel précédent
if (isset($_GET['tx'])) {
    $tx = strtolower($_GET['tx']);
} else {
    if (isset($_POST['tx']))
        $tx = strtolower($_POST['tx']);
    else
        $pbm_plan = TRUE;
}
switch ($tx) {
    /*
    case "clil" :
    case "mnu" :
    case "rdv":
        break;
    */
    // Appel depuis fiche technicien
    // Appel depuis liste techniciens
    // Appel depuis fiche agence
    // Appel depuis liste agences
    // Appel depuis planning
    case "tec" :
    case "tecla" :
    case "age" :
    case "agel" :
    case "pla" :
        if ($tx == "tecla")
            $retour_liste = TRUE;
        $lst_tecaff = FALSE; // On n'affiche pas de liste de choix des techniciens affectées une fois saisie validée
        break;
    // Apppel depuis la liste des techniciens
    // Appel depuis la fiche intervention
    // Appel de la liste des interventions
    case "tecl" :
    case "int" :
    case "intl" :
        $retour_planning = FALSE; // On ne revient pas au planning une fois saisie validée
        break;
    default :
        $pbm_plan = TRUE;
        break;
}

// Récupération type destinataire
if (isset($_GET['typd'])) {
    $typd = intval($_GET['typd']);
} else {
    if (isset($_POST['typd']))
        $typd = intval($_POST['typd']);
    else
        $pbm_plan = TRUE;
}

// Récupération code destinataire
if (isset($_GET['coded'])) {
    $coded = $_GET['coded'];
} else {
    if (isset($_POST['coded']))
        $coded = $_POST['coded'];
    else
        $pbm_plan = TRUE;
}

// Récupération type rattachement
if (isset($_GET['typr'])) {
    $typr = intval($_GET['typr']);
} else {
    if (isset($_POST['typr']))
        $typr = intval($_POST['typr']);
    else
        $pbm_plan = TRUE;
}

// Récupération code rattachement
if (isset($_GET['coder'])) {
    $coder = $_GET['coder'];
} else {
    if (isset($_POST['coder']))
        $coder = $_POST['coder'];
}

// Si type rattachement, il faut un code rattachement
if (($typr <> -1) AND ($coder == ''))
    $pbm_plan = TRUE;



// Récupération ID événement
if (isset($_GET['iev'])) {
    $idevt = intval($_GET['iev']);
} else
{
    if (isset($_POST['iev']))
        $idevt = intval($_POST['iev']);
}
// Récupération ID RDV
if (isset($_GET['irdv'])) {
    $idrdv = intval($_GET['irdv']);
} else
{
    if (isset($_POST['irdv']))
        $idrdv = intval($_POST['irdv']);
}

// Si idrdv<>0 on lit l'enregistrement correspondant
if ($idrdv <> 0) {
    $row = lit_enr_id_rdv_evt($idrdv);
    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);
        $idevt = intval($pevt_id);
    }
}

// Si idevt <>0 on lit l'enregistrement correspondant
// C'est l'ID événement qui prévaut (écrasement des $typd, $coded, $typr, $coder)
if ($idevt <> 0) {
    $row = lit_enr_id_evt($idevt);
    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);
        $typd = intval($pevt_typdest);
        $dest = $pevt_dest;
        $typr = intval($pevt_typrat);
        $coder = $pevt_coderat;
    } else
        $pbm_plan = TRUE;
}

switch ($td)
{
    case "add" :
        $titre = _("AJOUT EVENEMENT");

        // Récupération ID d'ajout du tableau (contient, en codé, date et heure)
        if (isset($_GET['ida'])) {
            $idadd = $_GET['ida'];
            $date_j = substr($idadd, 4, 2);
            $date_m = substr($idadd, 6, 2);
            $date_a = substr($idadd, 8, 4);
            $pevt_date = $date_a.'-'.$date_m . '-' . $date_j ;
            if (chkdate(datetolocal($pevt_date)) == FALSE) {
                $pevt_date = "";
                $pbm_plan = TRUE;
            }
            $heure_h = substr($idadd, 13, 2);
            $heure_m = substr($idadd, 15, 2);
            $pevt_heure = $heure_h . ":" . $heure_m . ":00";
            if (heurecorrecte($pevt_heure) == FALSE) {
                $pevt_heure = '';
                $pbm_plan = TRUE;
            }
        }

        if ($pbm_plan == FALSE)
        {
            switch ($typr) {
                // On est en mode "divers"
                case -1 :
                    break;

                // On est en mode "intervention"
                case 1 :
                    // ID de RDV impératif
                    if ($idrdv <> 0)
                    {
                        // On récupère les données du RDV
                        $row = lit_enr_id_rdv($idrdv);
                        if (is_array($row)) {
                            $row = encode_str($row);
                            extract($row);
                            // On récupère les données de l'intervention rattachée
                            $row = lit_enr_int($rdv_coderat);
                            if (is_array($row)) {
                                $row = encode_str($row);
                                extract($row);

                                $pevt_idrdv = $rdv_id;
                                $pevt_typrat = $rdv_typrat;
                                $pevt_coderat = $rdv_coderat;
                                $pevt_date = $rdv_date;
                                $pevt_codelieu = $rdv_codelieu;
                                $pevt_heure = $rdv_heure;
                                $pevt_dureem = $rdv_dureem;
                                $pevt_nivurg = $rdv_nivurg;
                                $pevt_codecat = '';
                                $pevt_titre = _("INTERVENTION") . ' ' . $int_code;
                                $pevt_detail = _("Matériel") . " :\n" . $int_mat . "\n\n" . _("Travail à effectuer") . " :\n" . $int_pbm;

                                // On ne peut pas modifier le rattachement
                                $mod_rat = FALSE;
                            } else
                                $pbm_plan = TRUE;
                        } else
                            $pbm_plan = TRUE;

                        // Appel depuis la liste des techniciens affectés
                        // On récupère le destinataire & on ne peut pas modifier le destinataire
                        if ($tx == "tecla") {
                            if ($pbm_plan == FALSE)
                            {
                                switch ($typd) {
                                    case 1 :
                                    case 3 :
                                        $row = lit_enr_tec($coded);
                                        if (is_array($row)) {
                                            $row = encode_str($row);
                                            extract($row);
                                            $pevt_typdest = 1;
                                            $pevt_dest = $tec_code;
                                            // Récupération derniers paramètres horaires
                                            // Si technicien agence
                                            if ($tec_codeage <> "") {
                                                $id_tecpr = last_id_tecpr($pevt_dest);
                                                $row2 = lit_enr_tecpr($id_tecpr);
                                                if (is_array($row2)) {
                                                    $row2 = encode_str($row2);
                                                    extract($row2);
                                                } else
                                                    $pbm_plan = TRUE;
                                            }
                                        } else
                                            $pbm_plan = TRUE;
                                        break;
                                    default :
                                        $pbm_plan = TRUE;
                                        break;
                                }
                            }

                        }
                    } else
                        $pbm_plan = TRUE;
                    break;


                default :
                    $pbm_plan = TRUE;
                    break;
            }
        }
        break;
    case "edit" :
        $titre = _("EDITION EVENEMENT");
        // En edition il faut impérativement un ID événement ou un ID RDV
        if (($idevt == 0) AND ($idrdv == 0))
            $pbm_plan = TRUE;

        if ($pbm_plan == FALSE)
        {
            switch ($typr) {
                // On est en mode "intervention"
                case 1 :
                    // On ne peut pas modifier le rattachement
                    $mod_rat = FALSE;
                    break;

                // On est en mode "divers"
                case "div" :
                    break;

            }

            switch ($typd)
            {
                // Technicien
                case 1 :
                case 3 :
                    $row = lit_enr_tec($pevt_dest);
                    if (is_array($row)) {
                        $row = encode_str($row);
                        extract($row);

                        // Récupération derniers paramètres horaires
                        // Si technicien agence
                        if ($tec_codeage <> "") {
                            $id_tecpr = last_id_tecpr($tec_code);
                            $row2 = lit_enr_tecpr($id_tecpr);
                            if (is_array($row2)) {
                                $row2 = encode_str($row2);
                                extract($row2);
                            } else
                                $pbm_plan = TRUE;
                        }
                    } else
                        $pbm_plan = TRUE;
                    break;
                default :
                    break;
            }
        }
        break;
    case "lst" :
        $titre = _("TECHNICIENS AFFECTABLES");
        break;
}


/*
 * if ($pbm_plan == FALSE) {
    switch (intval($pevt_typrat)) {
        // Intervention
        case 1 :
            $row = lit_enr_int($pevt_coderat);
            if (is_array($row)) {
                $row = encode_str($row);
                extract($row);
            } else
                $pbm_plan = TRUE;
            break;
    }
}


    // Récupération catégorie
    if (isset($_GET["cat"])) {
        $cat = strtolower($_GET["cat"]);
        switch ($cat) {
            // On est en mode "intervention"
            case "int" :
                // Récupération code intervention
                if (isset($_GET["coder"])) {
                    $coder = trim($_GET["coder"]);
                    $row = lit_enr_int($coder, TRUE);
                    if (is_array($row)) {
                        $row = encode_str($row);
                        extract($row);

                        // Récupération id RDV (Impératif)
                        if ($pevt_idrdv <> 0) {
                            $row2 = lit_enr_rdv_id($pevt_idrdv);
                            if (is_array($row2)) {
                                $row2 = encode_str($row2);
                                extract($row2);
                                $pevt_idrdv = $rdv_id;
                                // Il faut impérativement que le code rattaché dans ce RDV soit celui de l'intervention
                                if (($rdv_typrat == 1) AND ($rdv_coderat == $coder)) {
                                    // On affecte à un écran de saisie uniquement si pas en mode liste techniciens affectés
                                    if ($lst_tecaff == FALSE) {
                                        $pevt_date = datetolocal($rdv_date);
                                        $pevt_nivurg = $int_urg;
                                        if ($rdv_heure <> "00:00:00")
                                            $pevt_heure = $rdv_heure;
                                        else
                                            $pevt_heure = "";
                                        $pevt_dureem = $rdv_dureem;
                                        $pevt_codelieu = $rdv_codelieu;
                                        $pevt_titre = _("INTERVENTION") . ' ' . $int_code;
                                        $pevt_detail = _("matériel") . " :\n" . $int_mat . "\n\n" . _("Travail à effectuer") . " :\n" . $int_pbm;
                                        $pevt_typrat = 1;
                                        $pevt_coderat = $int_code;

                                        $mod_rat = FALSE; // On ne peut pas modifier le rattachement
                                    }
                                } else
                                    $pbm_plan = TRUE;
                            } else
                                $pbm_plan = TRUE;
                        } else
                            $pbm_plan = TRUE;
                    } else
                        $pbm_plan = TRUE;

                    // Appel depuis la liste des techniciens affectés
                    // On récupère le destinataire & on ne peut pas modifier le destinataire
                    if ($tx == "tecla") {
                        // Récupération type personne
                        // tec : technicien
                        if (isset($_GET["typ"])) {
                            $typ = strtolower($_GET["typ"]);
                            switch ($typ) {
                                case "tec" :
                                    break;
                                default :
                                    $pbm_plan = TRUE;
                                    break;
                            }
                        } else
                            $pbm_plan = TRUE;
                    }
                } else
                    $pbm_plan = TRUE;
                break;

            // On est en mode "divers"
            case "div" :
                break;

            default :
                $pbm_plan = TRUE;
                break;
        }
        if ($pbm_plan == FALSE)
            $pevt_codecat = $cat;
    } else
        $pbm_plan = TRUE;
}

if ($pbm_plan == FALSE) {
    // Récupération code type appelant
    if (isset($_GET["typ"])) {
        // Il y a un type appelant : il faut un code correspondant
        if (isset($_GET["code"])) {
            $typ = strtolower($_GET["typ"]);
            $code = $_GET["code"];
            switch ($typ) {
                // C'est un code technicien
                case "tec" :
                    // On ne peut pas modifier le destinataire
                    $mod_dest = FALSE;

                    // On récupère l'enregistrement technicien
                    $row = lit_enr_tec($code, TRUE);
                    if (is_array($row)) {
                        $row = encode_str($row);
                        extract($row);
                        $pevt_dest = $tec_code;
                        // Récupération derniers paramètres horaires
                        // Si technicien agence
                        if ($tec_codeage <> "") {
                            $pevt_typdest = 1;
                            $id_tecpr = last_id_tecpr($code);
                            $row2 = lit_enr_tecpr($id_tecpr);
                            if (is_array($row2)) {
                                $row2 = encode_str($row2);
                                extract($row2);
                            } else {
                                $pbm_plan = TRUE;
                                $pbm_pr = TRUE;
                            }
                        }
                    } else
                        $pbm_plan = TRUE;
                    break;

                // C'est un code agence
                case "age" :
                    // On récupère l'enregistrement technicien
                    $row = lit_enr_age($code, TRUE);
                    if (is_array($row)) {
                        $row = encode_str($row);
                        extract($row);
                    } else
                        $pbm_plan = TRUE;
                    break;

                // Code inconnu : erreur
                default :
                    $pbm_plan = TRUE;
            }
        } else
            $pbm_plan = TRUE;
    }
}
*/

/*
// Vérification de l'événement par rapport aux plages horaires techniciens
switch ($typd)
{
    // Technicien
    case 1 :
    case 3 :
        $mess_err = chk_evt_tec($typd,$coded,$pevt_date,$pevt_heure,$pevt_dureem);
        break;
    default :
        break;
}
*/
// Affectation des droits
switch (@$_SESSION["niv_log"])
{
    case 1 :
        break;
    case 3 :
        $mod_dest = FALSE;
        $mod_rat = FALSE;
        break;
    default :
        if (($typd <> -1) AND ($coded <> ''))
            $mod_dest = FALSE;
        if (($typr <> -1) AND ($coder <> ''))
            $mod_rat = FALSE;
        break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Planning (Ajout / Edition)"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <?PHP
    if ($lst_tecaff == FALSE) {
        if (($td == "edit")  OR ($td == "add")) {
            ?>
            <script language="javascript">
            <!--
            var tab_champ = ["nom:cat; format:liste ; req:Y ; txt:<?PHP echo _("Catégorie"); ?>; vmn:1; stok:frmok ; stbad:frmbad",
                "nom:date ; format:date ; masque:<?PHP echo $_SESSION['date_fmtfull']; ?> ; req:Y ; txt:<?PHP echo _("Date"); ?> ; stok:frmok ; stbad:frmbad",
                "nom:heure; format:liste ; req:Y ; txt:<?PHP echo _("Heure"); ?>; vmn:0; stok:frmok ; stbad:frmbad",
                "nom:dur; format:liste ; req:Y ; txt:<?PHP echo _("Durée"); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
                "nom:tit; format:txt ; req:Y ; txt:<?PHP echo _("Titre"); ?> ; lmn:1 ; lmx:50 ; stok:frmok ; stbad:frmbad",
                "nom:codelieu; format:liste ; req:Y ; txt:<?PHP echo _("Lieu"); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
                "nom:typdest; format:liste ; req:Y ; txt:<?PHP echo _("Type destinataire"); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
                "nom:dest; format:liste ; req:Y ; txt:<?PHP echo _("Destinataire"); ?>(s) ; stok:frmok ; stbad:frmbad",
                "nom:typrat; format:liste ; req:Y ; txt:<?PHP echo _("Type rattachement"); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
                "nom:detail; format:txt ; req:Y ; txt:<?PHP echo _("détail");  ?>; lmn:1 ; stok:frmok ; stbad:frmbad"];
            //-->
            </script>
        <?PHP
        }
    }
    ?>
    <?PHP
    // if (($pbm_plan==FALSE) AND ($lst_tecaff==FALSE))
    if ($pbm_plan == FALSE) {
        ?>
        <script type="text/javascript">
            <!--
            <?PHP
            switch ($tx)
            {
                case "tecla" :
                    cre_html_trdv('detmrdv','edit',$coder,'window.opener.');
                    cre_html_nextrdv('nextrdv','edit',$coder,'window.opener.');
                    break;
            }
            ?>


            $(function () {
                $("#tit").Setcase({caseValue: 'upper', changeonFocusout: true});
            });
            /*
            var tab_trat = new Array();
            */
            <?PHP
            /*
            foreach ($pla_trat as $key=>$value)
            {
                echo 'tab_trat['.$key.'] = "'.$value.'";';
            }
            echo 'var nl = '.@$_SESSION["niv_log"].';';
            echo"\n\n";
            */

            if ($lst_tecaff == FALSE)
            {
            ?>

            function init_datepicker() {
                $.datepicker.setDefaults({
                    closeText: "<?PHP echo _("Fermer"); ?>",
                    prevText: "<?PHP echo _("Précédent"); ?>",
                    nextText: "<?PHP echo _("Suivant"); ?>",
                    currentText: "<?PHP echo _("Aujourd'hui"); ?>",
                    monthNames: ["<?PHP echo implode('","',$lng_tmoisf); ?>"],
                    monthNamesShort: ["<?PHP echo implode('","',$lng_tmoism); ?>"],
                    dayNames: ["<?PHP echo implode('","',$lng_tjourf); ?>"],
                    dayNamesShort: ["<?PHP echo implode('","',$lng_tjourm); ?>"],
                    dayNamesMin: ["<?PHP echo implode('","',$lng_tjours); ?>"],
                    weekHeader: "<?PHP echo _("Sem."); ?>",
                    dateFormat: "<?PHP echo $_SESSION['date_fmtshort']; ?>",
                    firstDay: 1,
                    isRTL: !1,
                    changeMonth: true,
                    changeYear: true,
                    showMonthAfterYear: !1,
                    yearSuffix: "",
                    showButtonPanel: true,
                    showOn: "both",
                    buttonImageOnly: true,
                    buttonImage: "../img/calendar.png",
                    buttonText: "<?PHP echo _("Calendrier"); ?>"
                });
                $("#date").datepicker({
                    onSelect: function () {
                        $("#date").blur();
                        ajax_chk_evt_date(<?PHP echo $idevt; ?>);
                    }
                });

            }

            <?PHP } ?>

            function init_all() {
                init_Body();
                <?PHP
                if ($lst_tecaff == FALSE)
                {
                    echo 'init_datepicker();';
                    echo "init_autohref('lst','click','',true);";
                    echo "chk_disp_lnkplan();";
                    echo "init_open_lnk_plan_evt('icoplan');";
                    echo "init_valid_pevt('enr','plan_addedit','".$_SESSION['date_fmtshort']."',tab_champ,'','');";
                    echo "init_valid_pevt('del','plan_addedit','".$_SESSION['date_fmtshort']."',tab_champ,'','');";
                    switch (@$_SESSION["niv_log"])
                    {
                        // Le client ne peut rien modifier
                        case 1 :
                            echo "readonly_all();";
                            break;
                        default :
                            if ($mod_dest == TRUE)
                                echo "init_ajax_tdest(1);";
                                /*echo 'init_ajax_tdest2("'.@$_GET["typ"].'","'.@$_GET["code"].'",'.$mod_rat.');';*/
                            else
                                echo "readonly_id('typdest-dest',false);";

                            if ($mod_rat == TRUE)
                            {
                                echo 'init_ajax_trat2();';
                                echo 'init_ajax_rdv_tit_detail();';
                            }
                            else
                                if ($pevt_codecat <> '')
                                    echo "readonly_id('cat',false);";
                                echo "readonly_id('typrat-rat',false);";
                            break;
                    }
                    echo "init_ajax_rens();";
                    echo "init_ajax_chk_evt_heure(".$idevt.");";
                    echo "init_ajax_chk_evt_duree(".$idevt.");";
                }
                ?>
                add_func_click('quit', 'sclose','');
                Focus_first();
            }

            $(document).ready(function () {
                init_all();
            });
            //-->
        </script>
    <?PHP
    }
    ?>

</head>
<body>
<?PHP
if ($pbm_plan == FALSE) {
    ?>
    <p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
	<?PHP
    echo '<p align="center"><span class="annot_std_it">';
    switch (intval($pevt_typrat)) {
        case 1 :
            echo _("INTERVENTION") . " : " . $pevt_coderat;
            break;
        default :
            break;
    }
    echo '</span></p>';

    if ($lst_tecaff == TRUE)
    {
        $tab_tecaff = give_tab_rows_tec_toaff_int($pevt_coderat, TRUE, TRUE);

        ?>
        <table width="100%" border="0">
            <tr>
                <td width="33%">&nbsp;</td>
                <td width="33%"><span class="annot_petit_it">
                <?PHP echo '- : '._("Non affectable car sans plage horaire définie"); ?>
                </span></td>
                <td width="33%" align="right">
                    <input name="quit" type="button" class="bton_std" id="quit" value="<?PHP echo _("Quitter"); ?>"
                           style="text-decoration: none; font-size: 11px; color:White ;font-weight:bold;background-color: #666666;">
                </td>
            </tr>
        </table>
        <?PHP
        // *** Affichage de la table
        echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
        titlst($tecaff_titre_col);
        echo "<th>" . _("Cliquer") . "</th>\n";

        $i = 0;

        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
        foreach ($tab_tecaff as $codetec) {
            extract($codetec);
            $row = lit_enr_tec($tec_code, FALSE);
            if (is_array($row)) {
                $row = encode_str($row);
                // création de l'entête de ligne (TR)
                creetrlst($i);
                echo "<td>";
                echo $row["tec_codeage"];
                echo "</td>\n";
                echo "<td>" . $row["tec_code"];
                echo "</td>\n";
                echo "<td>" . $row["tec_prenom"] . "</td>\n";
                echo "<td>" . $row["tec_nom"] . "</td>\n";
                echo "<td align=\"center\">";
                if (last_id_tecpr($tec_code, FALSE) <> 0)
                {
                    $affecte = tec_affecte_int_plan($tec_code, $pevt_coderat, $pevt_idrdv, FALSE);
                    if ($affecte == TRUE) {
                        $urlplan .= 'td=add&typd=-1&coded=&typr=1&coder='.$row["rdv_coderat"];
                        // MAJ ID RDV
                        $urlplan .= '&irdv=' . $row["rdv_id"];
                        // Lieu d'appel
                        $urlplan .= '&tx=int&from=int';

                        $url = 'plan_addedit.php?td=edit&typd=1&coded='.$row["tec_code"].'&typr='.$typr.'&coder='.$coder.'&iev='.$pevt_id.'&irdv=' . $pevt_idrdv . '&tx=tecla&from='.$from;
                        echo '<a href="javascript:;" onclick="document.location.href=\'' . $url . '\';"><img src="../img/plan_edit.png" border="0" align="absmiddle" title="'._("Editer (cliquez)").'"></a>';
                    } else {
                        $url = 'plan_addedit.php?td=add&typd=1&coded='.$row["tec_code"].'&typr='.$typr.'&coder='.$coder.'&iev='.$pevt_id.'&irdv=' . $pevt_idrdv . '&tx=tecla&from='.$from;
                        echo '<a href="javascript:;" onclick="document.location.href=\'' . $url . '\';"><img src="../img/plan_add.png" border="0" align="absmiddle" title="'._("Planifier (cliquez)").'"></a>';
                    }
                }
                else
                    echo '-';
                echo "</td>\n";
                echo "</tr>\n";

                $i++;
            }
        }
        echo "</table>\n";

        // *** Fin affichage de la table

        $db->disconnect();
    }
    else
    {
    echo '<p align="center"><span class="annot_std_it">';
    switch ($typd) {
        case 1 :
        case 3 :
            echo _("TECHNICIEN") . ' : ' . $coded;
            break;
        case 2 :
            echo _("AGENCE") . ' : ' . $coded;
            break;
        default :
            break;
    }
    echo '</span></p>';
    ?>
    <table width="100%" border="0">
        <tr>
            <td width="33%">
                <?PHP
                // Fabrication du bouton de retour
                $txt_bouton_retour = "";
                $on_click = "";
                switch (strtolower($tx)) {
                    case "tecla" :
                        $txt_bouton_retour = _("Revenir à la liste");
                        break;
                    case "evt" :
                        $txt_bouton_retour = _("Revenir à l'événement");
                        break;
                    case "pla" :
                        $txt_bouton_retour = _("Revenir au planning");
                        break;
                    default :
                        break;
                }
                if ($txt_bouton_retour <> "") {
                    $url = $_SERVER["HTTP_REFERER"];
                    echo '<input name="lst" type="button" class="bton_std" id="lst" lnk="'.$url.'" value="' . $txt_bouton_retour . '">';
                    /*
                    echo 'style="text-decoration: none; font-size: 11px; color:White ;font-weight:bold;background-color: #666666;"';
                    if ($on_click <> "")
                        echo ' onClick="' . $on_click . '"';
                    echo '>';
                    */
                }
                ?>
            </td>
            <td width="33%" align="center" class="annot_petit_it">
                <div id="oblig">(<img src="../img/oblig.png" align="absmiddle"
                                      alt="<?PHP echo _("Champ obligatoire"); ?>">
                    : <?PHP echo _("Saisie obligatoire"); ?>)
                </div>
            </td>
            <td width="33%" align="right">
                <?PHP
                // Fabrication du bouton pour quitter
                $on_click = "";
                switch (strtolower($typr)) {
                    case -1 :
                        $on_click = "javascript:; self.close('fscomp');";
                        break;
                    case 1 :
                        switch (strtolower($tx)) {
                            // Si appelé depuis liste des techniciens en popup
                            // C'est que l'on a appelé depuis l'intervention
                            // On raffraichi l'intervention et on ferme
                            case "tecla" :
                                $on_click = "javascript:; updatmrdv(); updatnextrdv(); self.close('fscomp');";
                                break;

                            // Autre : on ferme normalement
                            default :
                                $on_click = "javascript:; self.close('fscomp');";
                                break;
                        }
                        break;
                    default :
                        break;
                }
                echo '<input name="quit" type="button" class="bton_std" id="quit" value="Quitter"';
                echo 'style="text-decoration: none; font-size: 11px; color:White ;font-weight:bold;background-color: #666666;"';
                if ($on_click <> "")
                    echo ' onClick="' . $on_click . '"';
                echo '>';
                ?>
            </td>
        </tr>
    </table>
    <form name="plan_addedit" id="plan_addedit" method="post" action="plan_enr.php">
    <input name="titre" type="hidden" id="titre" value="<?PHP echo $titre; ?>">
    <input name="td" type="hidden" id="td" value="<?PHP echo $td; ?>">
    <input name="from" type="hidden" id="from" value="<?PHP echo $from; ?>">
    <input name="tx" type="hidden" id="tx" value="<?PHP echo $tx; ?>">
    <input name="typd" type="hidden" id="typd" value="<?PHP echo $typd; ?>">
    <input name="coded" type="hidden" id="coded" value="<?PHP echo $coded; ?>">
    <input name="typr" type="hidden" id="typr" value="<?PHP echo $typr; ?>">
    <input name="coder" type="hidden" id="coder" value="<?PHP echo $coder; ?>">
    <input name="iev" type="hidden" id="iev" value="<?PHP echo $idevt; ?>">
    <input name="retpl" type="hidden" id="retpl" value="<?PHP echo $retour_planning; ?>">
    <input name="retlst" type="hidden" id="retlst" value="<?PHP echo $retour_liste; ?>">
    <input name="nbutton" type="hidden" id="nbutton" value="">
    <table width="100%" border="0">
    <tr>
        <td class="rubfrm" id="f_typdest" width="160" align="right"><?PHP echo _("Type destinataire"); ?></td>
        <td colspan="3">
            <?PHP
            $tab_tdest = give_tab_tdest_plan($typr);
            cre_select('typdest', 'typdest', $tab_tdest, intval($typd) , '', _("-- Faites votre choix --"));
            ?>
        </td>
    </tr>
    <tr>
        <td class="rubfrm" id="f_dest" width="160" align="right"><?PHP echo _("Destinataire(s)"); ?></td>
        <td>
            <?PHP
            $tab_dest =  give_tab_dest_plan($typd);
            cre_select('dest', 'dest', $tab_dest, $coded , '', _("-- Faites votre choix --"));
            ?>
        </td>
    </tr>
    <tr>
        <?PHP
        switch ($typr) {
            case 1 :
                echo '<td>&nbsp;</td>';
                echo '<td>';
                echo '<input name="prive" type="hidden" id="prive" value="0" readonly="readonly">';
                echo '</td>';
                break;
            default :
                echo '<td class="rubfrm" id="f_prive" align="right">' . _("Privé") . '</td>';
                echo '<td>';
                cre_select('prive', 'prive', $non_oui, $pevt_prive);
                echo '</td>';
                break;
        }
        ?>
    </tr>
    <tr>
        <td width="160" class="rubfrm" id="f_cat" align="right"><?PHP echo _("Catégorie"); ?></td>
        <td colspan="3">
            <?PHP
            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
            // Création de la liste des catégories
            $rech = "SELECT * FROM `" . TBPCAT . "` ORDER BY pcat_desc";
            $rows = $db->get_results($rech, ARRAY_A);
            $db->disconnect();
            cre_select_tab('cat', 'cat', $rows, 'pcat_code', 'pcat_desc', '', str_majuscules($pevt_codecat), '', _("-- Faites votre choix --"));
            ?>
        </td>
    </tr>
    <tr>
        <td class="rubfrm" id="f_typrat" align="right"><?PHP echo _("Type rattachement"); ?></td>
        <td colspan="3">
            <?PHP
            cre_select('typrat', 'typrat', $pla_trat, intval($typr) , '', _("-- Faites votre choix --"));
            ?>
        </td>
    </tr>
    <tr>
        <td class="rubfrm" id="f_rat" align="right"><?PHP echo _("Rattaché à"); ?></td>
        <td colspan="3">
            <?PHP
            $tab_rat = give_tab_rat_plan($typr);
            cre_select('rat', 'rat', $tab_rat, $coder , '', _("-- Faites votre choix --"));
            ?>
        </td>
    </tr>
    <tr>
        <td class="rubfrm" id="f_irdv" align="right"><?PHP echo _("Rendez-vous"); ?></td>
        <td colspan="3">
            <?PHP
            $rech = "";
            echo '<select name="rdv" id="rdv">';
            echo '<option value="">' . _("-- Faites votre choix --") . '</option>';
            switch (intval($pevt_typrat)) {
                // Rien
                case -1 :
                    break;
                // Interventions
                case 1 :
                    switch (@$_SESSION["niv_log"]) {
                        case 3 :
                        case 4 :
                            $rech = "SELECT * FROM `" . TBRDV . "`";
                            $rech .= " WHERE rdv_typrat=1 AND rdv_coderat='" . $pevt_coderat . "'";
                            $rech .= " AND rdv_honore=0";
                            $rech .= " ORDER BY rdv_date, rdv_heure";
                            break;
                        case 10 :
                        case 11 :
                            break;
                        default :
                            $rech = "SELECT * FROM `" . TBRDV . "`";
                            $rech .= " WHERE rdv_typrat=1 AND rdv_coderat='" . $pevt_coderat . "'";
                            $rech .= " AND rdv_honore=0";
                            $rech .= " ORDER BY rdv_date, rdv_heure";
                            break;
                    }
                    break;
                // Bon de travail
                case 2 :
                    break;
            }

            if ($rech <> "") {
                $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
                $rows = $db->get_results($rech, ARRAY_A);
                if ($rows) {
                    foreach ($rows as $row) {
                        $row = encode_str($row);
                        extract($row);
                        switch ($pevt_typrat) {
                            // Rien
                            case -1 :
                                break;
                            // Interventions
                            case 1 :
                                $txtrdv = _("Le")." " . datetolocal($rdv_date) . " "._("à")." " . substr($rdv_heure, 0, 5);
                                break;
                            // Bons de travail
                            case 2 :
                                break;
                        }
                        echo '<option value="' . $rdv_id . '"';
                        if ($pevt_idrdv == $rdv_id)
                            echo ' selected';
                        echo '>' . $txtrdv . '</option>';
                    }
                }
                $db->disconnect();
            }
            echo '</select>';
            echo ' <img src="../img/oblig.png" align="absmiddle" alt="' . _("Champ obligatoire") . '">';
            echo '</span>';
            ?>
        </td>
    </tr>
    </table>
    <div id="detrdv" class="bord_pointilles">
        <p align="center">
            <span class="annot_std_gras"><?PHP echo _("Détails rendez-vous"); ?></span><br />
            <span class="annot_petit_it"><?PHP echo _("Tous les champs sont obligatoires"); ?></span>
        </p>
        <table width="100%" border="0">
            <tr>
                <td width="160" class="rubfrm" id="f_urgence" align="right"><?PHP echo _("Niveau d'urgence"); ?></td>
                <td colspan="3">
                    <?PHP
                    // Création de la liste des Niveaux d'urgence
                    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
                    $rech = "SELECT * FROM `" . TBURG . "` ORDER BY urg_niveau";
                    $rows = $db->get_results($rech, ARRAY_A);
                    $db->disconnect();
                    cre_select_tab('urgence', 'urgence', $rows, 'urg_niveau', 'urg_des', '', $pevt_nivurg, '', _("-- Faites votre choix --"));
                    ?>
                </td>
            </tr>
            <tr>
                <td width="160" class="rubfrm" id="f_date" align="right"><?PHP echo _("Date"); ?></td>
                <td colspan="3">
                    <input name="date" type="text" id="date" value="<?PHP echo datetolocal($pevt_date); ?>" size="12" maxlength="12" readonly>
                    <div id="lnkplan" style="display:none;float: right">
                    <?PHP
                    // Possibilité de choix sur planning si en catégorie intervention
                    // On vérifie si le module planning est bien en place
                    if ($mod_planning == TRUE) {
                        $url_planning = 'plan_maj.php?td=edit&typd='.$typd.'&coded='.$coded.'&typr='.$typr.'&coder='.$coder.'&iev=' . intval($pevt_id) . '&tx=evt&from='.$from;
                        if (url_ok($url_planning) == TRUE)
                            cre_falselnk('','icoplan', 'span',  '', _("Planning / Agenda"), '', '../img/planning.png', 'Planning');
                        else
                            echo '&nbsp;';
                    }
                    else
                        echo '&nbsp;';
                    ?>
                    </div>
                </td>
            <tr>
                <td width="160" class="rubfrm" id="f_heure" align="right"><?PHP echo _("Heure"); ?></td>
                <td colspan="3">
                    <?PHP
                    // $tab_heures = give_tab_heures(0,86400,900,false);
                    $tab_heures = give_tab_heures(($pprm_firsthour * 3600), ($pprm_lasthour * 3600), ($pla_stepmin * 60), false);

                    cre_select('heure', 'heure', $tab_heures, substr($pevt_heure, 0, 5));
                    echo ' <span id="prm_horaire">';
                    $dethoraire = "";
                    switch (intval($pevt_typdest)) {
                        case 1 :
                            $dethoraire = str_tecspr($pevt_dest);
                            break;
                        default :
                            break;
                    }
                    if ($dethoraire <> "")
                        echo ' <a href="#" class="pop"><img src="../img/help.png" alt="'._("Horaires").'" border="0" align="absmiddle"><span>' . formatetxtbr($dethoraire) . '</span></a>';
                    echo '</span>';
                    ?>
                </td>
            </tr>
            <tr>
                <td width="160" class="rubfrm" id="f_fdur" align="right"><?PHP echo _("Durée"); ?></td>
                <td colspan="3">
                    <?PHP
                    $tab_dureemin = give_tab_dureemin($pla_stepmin, 1440, $pla_stepmin);
                    cre_select('dur', 'dur', $tab_dureemin, intval($pevt_dureem));
                    ?>
                </td>
            </tr>
            <tr>
                <td width="160" class="rubfrm" id="f_lieu" align="right"><?PHP echo _("Lieu"); ?></td>
                <td colspan="3">
                    <?PHP
                    // création de la liste des lieux
                    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
                    $rech = "SELECT * FROM `" . TBLIEU . "`";
                    $rows = $db->get_results($rech, ARRAY_A);
                    $db->disconnect();

                    cre_select_tab('codelieu', 'codelieu', $rows, 'lieu_code', 'lieu_desc', '', $pevt_codelieu, '', _("-- Faites votre choix --"));
                    ?>
                </td>
            </tr>
            <tr>
                <td width="160" class="rubfrm" id="f_tit" align="right"><?PHP echo _("Titre"); ?></td>
                <td colspan="3">
                    <input name="tit" type="texte" id="tit" value="<?PHP echo $pevt_titre; ?>" size="50">
                </td>
            </tr>
            <tr>
                <td width="160" class="rubfrm" id="f_detail" align="right"><?PHP echo _("Détail"); ?></td>
                <td colspan="3">
                    <textarea name="detail" id="detail" rows="5"><?PHP echo $pevt_detail ?></textarea>
                </td>
            </tr>
        </table>
    </div>
    <p align="center">
        <?PHP
        switch ($td)
        {
            case "add" :
                echo '<input name="enr" type="button" class="bton_std" id="enr" value="'._("Enregistrer").'">';
                break;
            default :
                echo '<input name="enr" type="button" class="bton_std" id="enr" value="'._("Enregistrer").'">';
                echo '<input name="del" type="button" class="bton_std" id="del" value="'._("Supprimer").'">';
                break;
        }
        echo '<input name="RAZ" type="reset" class="bton_std" id="RAZ" value="'._("Réinitialiser").'">';
        ?>
    </p>
    </form>
<?PHP
}
}
/*
else
    close_fen_auto('', '');
*/
?>
</body>
</html>
